
 <div class="label">{{title}}</div>
 <div class="border-container">
<form  [formGroup]='internFormGroup' class="time-picker-container" [ngClass]="{'selected': isMinutesSelected || isHoursSelected || formControl.invalid}" >
  <ng-miam-icon  [width]="32" [height]="32" [iconName]="icon" primaryColor="var(--m-color-secondary)"></ng-miam-icon>
  <input formControlName='hours' class="form-control"  [maxLength]="2" (focus)='isHoursSelected= true' (blur)='hoursBlur()' >
  <span>h</span>
  <input formControlName='minutes' class="form-control"  [maxLength]="3" (focus)='isMinutesSelected= true' (blur)='minuteAutoCorrect()'>
  <span>min</span>
</form>
<div class="border" [ngClass]="{'selected':isMinutesSelected || isHoursSelected,'error': formControl.invalid}"></div>
</div>
